# Please keep this package in sync with FC

# "fix" underlinking:
%define _disable_ld_no_undefined 1

%global major 1
%define libname %mklibname virglrenderer %major
%define devname %mklibname -d virglrenderer
%global gitdate 20230104
%global gitversion 88b9fe3b

Name:		virglrenderer
Version:	0.10.4
Release:	%mkrel 1.%{gitdate}git%{gitversion}

Summary:	Virgl Rendering library
Group:		Emulators
License:	MIT

#VCS: git:git://anongit.freedesktop.org/git/virglrenderer
# git snapshot.  to recreate, run:
# ./make-git-snapshot.sh `cat commitid`
Source0:	virglrenderer-%{gitdate}.tar.xz

BuildRequires:  meson
BuildRequires:	x11-util-macros
BuildRequires:	pkgconfig(epoxy)
BuildRequires:	pkgconfig(gbm)
BuildRequires:	pkgconfig(egl)
BuildRequires:	python3
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(libva)

%description
The virgil3d rendering library is a library used by
qemu to implement 3D GPU support for the virtio GPU.

%package -n %libname
Summary: Virgl Rendering library
Group:	Emulators

%description -n %libname
The virgil3d rendering library is a library used by
qemu to implement 3D GPU support for the virtio GPU.

%package -n %devname
Summary: Virgil3D renderer development files
Group:	Emulators
Provides: %{name}-devel
Requires: %{libname} = %{version}-%{release}

%description -n %devname
Virgil3D renderer development files, used by
qemu to build against.

%package test-server
Summary: Virgil3D renderer testing server
Group:	Emulators

Requires: %{libname} = %{version}-%{release}

%description test-server
Virgil3D renderer testing server is a server
that can be used along with the mesa virgl
driver to test virgl rendering without GL.

%prep
%setup -q -n %{name}-%{gitdate}
%autopatch -p1
%build
%meson -Dvideo=true
%meson_build

%install
%meson_install
find %{buildroot} -type f -name '*.la' | xargs rm -f -- || :



%files -n %libname
%license COPYING
%{_libdir}/lib*.so.*

%files -n %devname
%dir %{_includedir}/virgl/
%{_includedir}/virgl/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%files test-server
%{_bindir}/virgl_test_server



%changelog
* Thu Jan 05 2023 tv <tv> 0.10.4-1.20230104git88b9fe3b.mga9
+ Revision: 1930164
- Upstream release 0.10.4

* Tue Nov 08 2022 tv <tv> 0.10.1-2.20220912git19dc97a2.mga9
+ Revision: 1904694
- Upstream release 0.10.1

* Thu Oct 20 2022 ns80 <ns80> 0.9.1-2.20210420git36391559.mga9
+ Revision: 1897871
- add upstream patches for CVE-2022-0135 and CVE-2022-0175 (mga#29903)

* Thu May 06 2021 tv <tv> 0.9.1-1.20210420git36391559.mga9
+ Revision: 1721663
- Upstream release 0.9.1

* Wed Feb 12 2020 tv <tv> 1.20200212git7d204f39.mga8-current
+ Revision: 1509347
- Upstream release 0.8.2

* Sat Dec 21 2019 tv <tv> 0.8.1-1.20191220git66c57963.mga8
+ Revision: 1469227
- Upstream release 0.8.1

* Fri Oct 04 2019 tv <tv> 0.8.0-1.20191002git4ac3a04c.mga8
+ Revision: 1449242
- new snapshot
- 0.8.0

* Wed Apr 24 2019 tv <tv> 0.7.0-1.20190424gitd1758cc09.mga7
+ Revision: 1395132
- Latest upstream git snapshot
- enable debug package

* Thu Sep 20 2018 tv <tv> 0.7.0-1.mga7
+ Revision: 1279595
- upstream 0.7.0 release

* Mon Jul 17 2017 tv <tv> 0.6.0-1.mga7
+ Revision: 1124072
- new release

* Fri Apr 15 2016 tv <tv> 0.5.0-1.mga6
+ Revision: 1001612
- imported package virglrenderer

